'use strict';
define(function() {
  var gcelement = function(
    FeatureTypeFactory,
    $translate,
    EditTypesFactory,
    RuleCfgFactory
  ) {
    return RuleCfgFactory.buildDirectiveObject(
      'js/XG/modules/edit/views/rules/cfg/cfg.setXYAttributes.html',
      'SetXYAttributes'
    );
  };

  gcelement.$inject = [
    'FeatureTypeFactory',
    '$translate',
    'EditTypesFactory',
    'RuleCfgFactory',
  ];
  return gcelement;
});
